<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * Script file of JScriptcase component
*/
class com_jscriptcaseInstallerScript
{
	/**
	 * method to install the component
	 *
	 * @return void
	 */
	function install($parent)
	{
		global $database;

		// modify menu images

		//$database->setQuery("UPDATE #__components SET admin_menu_img='js/ThemeOffice/config.png' WHERE admin_menu_link='option=com_jscriptcase&act=config'");
		//$database->query();
		//see if we need to create SQL tables
		$db =  JFactory::getDBO();
		$table_list = $db->getTableList();
		$table_prefix = $db->getPrefix();
		//NOTE moved these before the jfusion table as some tables did not exist in old verions of JFusion thus leading to errors during the upgrade process
		//create the jfusion_users table if it does not exist already
		if (array_search($table_prefix . 'jscriptcase', $table_list) == false) {
			$query = 'CREATE TABLE `#__jscriptcase` (
					`name` varchar(16) NOT NULL,
					`value` varchar(256) default NULL,
					`description` varchar(32) default NULL
					) ENGINE=MyISAM DEFAULT CHARSET=utf8;';
			$db->setQuery($query);
			if (!$db->query()) {
				echo $db->stderr() . "<br />";
				$return = false;
				return $return;
			}

			$query = "INSERT INTO `#__jscriptcase` (`name`, `value`, `description`) VALUES
					('app_dir', NULL, 'Application Directory'),
					('joomla_dir', NULL, 'Joomla Directory'),
					('web_dir', NULL, 'Absolute Web Directory')";
			$db->setQuery($query);
			if (!$db->query()) {
				echo $db->stderr() . "<br />";
				$return = false;
				return $return;
			}
		}


		?>
		<!-- begin Credits //-->
		<div>
			<table width="100%" border="0">
				<tr>
					<td>
						<div class="medium">
							Copyright &copy; 2013 <a href="http://ilerian.com">Ilerian Co. Ltd</a>.
							All Rights Reserved.
						</div>
					</td>
				</tr>
				<tr>
					<td background="#F0F0F0" colspan="2">
						<p style="color: green; font-weight: bold;">Installation completed
							successfully.</p>
					</td>
				</tr>
			</table>
		</div>
		<!-- end Credits //-->
<?php

		//$parent->getParent()->setRedirectURL('index.php?option=com_jscriptcase');

	}


	/**
	 * method to uninstall the component
	 *
	 * @return void
	 */
	function uninstall($parent)
	{
		// placeholder
		
		$db = JFactory::getDBO();
		$table_prefix = $db->getPrefix();

		$query = "DROP TABLE IF EXISTS ".$table_prefix."jscriptcase;";
		$db->setQuery($query);

		if (!$db->query()) {
        		echo $db->stderr() . "<br />";
        		$return = false;
        		return $return;
        	}
	}

	/**
	 * method to update the component
	 *
	 * @return void
	 */
	function update($parent)
	{
		$this->install($parent);
	}

	/**
	 * method to run before an install/update/uninstall method
	 *
	 * @return void
	 */
	function preflight($type, $parent)
	{

	}

	/**
	 * method to run after an install/update/uninstall method
	 *
	 * @return void
	 */
	function postflight($type, $parent)
	{

	}
}